Subject: Add unique entity validator
Description

After creating a unique entity validator for Neos I shared it in the IRC channel and people seemed to like the idea. So I've moved it into
the Flow package and would like some feedback if people would like to have this general validator or if we should keep it out.

It works for action controllers and is intended for create and update methods. The uniqueness is defined by the entity's identity
properties. It should work with both Doctrine and Generic persistence.

Thanks to RafaelK, sorenmalling & afoeder for helping getting it to the final implementation.

Associated revisions
Revision 7ee3832c - 2013-01-29 18:45 - Aske Ertmann

[FEATURE] Add unique entity validator

This adds a validator for ensuring uniqueness of submitted
entities. It uses the entity identity properties to determine
the uniqueness of the entity. Made with intended use in create
& update actions using the action parameter validation.

Change-Id: I52707f97a01ad902b654f80cf5aa873dc7ff8c24
Resolves: #44622
Releases: 2.0, master

Revision e4377e56 - 2013-01-31 13:22 - Aske Ertmann

[FEATURE] Add unique entity validator

This adds a validator for ensuring uniqueness of submitted
entities. It uses the entity identity properties to determine
the uniqueness of the entity. Made with intended use in create
& update actions using the action parameter validation.

Change-Id: I52707f97a01ad902b654f80cf5aa873dc7ff8c24
Resolves: #44622
Releases: 2.0, master

History
#1 - 2013-01-18 00:22 - Aske Ertmann
- Status changed from New to Under Review
- % Done changed from 0 to 70

https://review.typo3.org/17585

#2 - 2013-01-22 20:28 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17585

#3 - 2013-01-22 20:36 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17585

#4 - 2013-01-23 19:23 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17585

#5 - 2013-01-23 19:26 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17585

#6 - 2013-01-29 17:22 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17585

#7 - 2013-01-29 18:47 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17585

#8 - 2013-01-31 13:22 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/17886

#9 - 2013-01-31 13:36 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100
Applied in changeset commit:7ee3832c0769511f6804bafd9f770d4b6c1e322e.
